summaryrefslogtreecommitdiffstats
path: root/package/broadcom-wl/files
diff options
context:
space:
mode:
authorJo-Philipp Wich <jow@openwrt.org>2010-07-01 01:06:32 +0000
committerJo-Philipp Wich <jow@openwrt.org>2010-07-01 01:06:32 +0000
commit28e4d39009b5f4b82415e437aef7ea24683fefe4 (patch)
tree0cc441c0ee5d851cf353a04adc1b9832acd96efa /package/broadcom-wl/files
parentd6d8014cfd0fc8ce789d03f882bdce0745fa52e7 (diff)
downloadmaster-31e0f0ae-28e4d39009b5f4b82415e437aef7ea24683fefe4.tar.gz
master-31e0f0ae-28e4d39009b5f4b82415e437aef7ea24683fefe4.tar.bz2
master-31e0f0ae-28e4d39009b5f4b82415e437aef7ea24683fefe4.zip
broadcom-wl: - fix compilation against eglibc and glibc (#7521) - unbind device from b43 ssb bridge on boot (#7529)
SVN-Revision: 22007
Diffstat (limited to 'package/broadcom-wl/files')
-rwxr-xr-xpackage/broadcom-wl/files/etc/init.d/wlunbind23
1 files changed, 23 insertions, 0 deletions
diff --git a/package/broadcom-wl/files/etc/init.d/wlunbind b/package/broadcom-wl/files/etc/init.d/wlunbind
new file mode 100755
index 0000000000..80a8f0e604
--- /dev/null
+++ b/package/broadcom-wl/files/etc/init.d/wlunbind
@@ -0,0 +1,23 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2010 OpenWrt.org
+
+START=09
+
+boot() {
+ local sysfs=/sys/bus/pci/drivers/b43-pci-bridge
+ if [ -d "$sysfs" ]; then
+ local lnk
+ for lnk in $sysfs/*; do
+ [ -h "$lnk" ] || continue
+ case "${lnk##*/}" in
+ *:*:*.*)
+ logger "Unbinding WL PCI device ${lnk##*/} from B43 SSB bridge"
+ echo -n "${lnk##*/}" > "$sysfs/unbind"
+ ;;
+ esac
+ done
+ fi
+}
+
+start() { :; }
+stop() { :; }